classification
Title: Use specific asserts in io tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: BreamoreBoy, benjamin.peterson, demian.brecht, hynek, pitrou, python-dev, rbcollins, serhiy.storchaka, stutzbach
Priority: normal Keywords: patch

Created on 2014-02-07 21:34 by serhiy.storchaka, last changed 2015-08-02 13:05 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_io_asserts.patch serhiy.storchaka, 2014-02-07 21:34 review
Messages (7)
msg210563 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-07 21:34
The proposed patch makes the io module tests use more specific asserts. This will provide more useful failure report.
msg237325 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-06 02:33
LGTM.
msg237372 - (view) Author: Demian Brecht (demian.brecht) * (Python triager) Date: 2015-03-06 19:31
LGTM
msg247594 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-07-29 18:23
@serhiy I think you should apply this: you're a committer, and no committers have objected in over a year.
msg247595 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-07-29 18:23
+1
msg247864 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-08-02 12:08
Actually Raymond objected. But under pressure of positive feedbacks and to avoid non-polite discussion I'll commit the patch.
msg247865 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-08-02 12:21
New changeset ace74c445a3f by Serhiy Storchaka in branch '3.4':
Issue #20557: Use specific asserts in io tests.
https://hg.python.org/cpython/rev/ace74c445a3f

New changeset 2453ac990e5b by Serhiy Storchaka in branch '3.5':
Issue #20557: Use specific asserts in io tests.
https://hg.python.org/cpython/rev/2453ac990e5b

New changeset 859a45ca1e86 by Serhiy Storchaka in branch 'default':
Issue #20557: Use specific asserts in io tests.
https://hg.python.org/cpython/rev/859a45ca1e86

New changeset 68115dd0c7f5 by Serhiy Storchaka in branch '2.7':
Issue #20557: Use specific asserts in io tests.
https://hg.python.org/cpython/rev/68115dd0c7f5
History
Date User Action Args
2015-08-02 13:05:20serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: commit review -> resolved
2015-08-02 12:21:22python-devsetnosy: + python-dev
messages: + msg247865
2015-08-02 12:08:23serhiy.storchakasetmessages: + msg247864
2015-07-29 18:23:59pitrousetmessages: + msg247595
versions: + Python 3.5, Python 3.6, - Python 3.3
2015-07-29 18:23:26rbcollinssetnosy: + rbcollins
messages: + msg247594
2015-03-06 19:31:06demian.brechtsetnosy: + demian.brecht

messages: + msg237372
stage: patch review -> commit review
2015-03-06 02:33:25BreamoreBoysetnosy: + BreamoreBoy
messages: + msg237325
2014-02-07 21:36:36serhiy.storchakalinkissue16510 dependencies
2014-02-07 21:34:57serhiy.storchakacreate